Loading...
Searching...
No Matches
Ogre::ScaleControllerFunction Class Reference
Core » Animation

Predefined controller function which simply scales an input to an output value. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::ScaleControllerFunction:
[legend]

## Public Member Functions

| ScaleControllerFunction (Real scalefactor, bool deltaInput)
float | calculate (float source) override
Public Member Functions inherited from Ogre::ControllerFunction< float >
| ControllerFunction (bool deltaInput)
| Constructor.
virtual | ~ControllerFunction ()

## Static Public Member Functions

static ControllerFunctionRealPtr | create (Real scalefactor, bool deltaInput=false)
| Constructor, requires a scale factor.

## Detailed Description

Predefined controller function which simply scales an input to an output value.

## Constructor & Destructor Documentation

## ScaleControllerFunction()

Ogre::ScaleControllerFunction::ScaleControllerFunction | ( | Real | scalefactor,
|  | bool | deltaInput )

Deprecated
  use create()

## Member Function Documentation

## create()

ControllerFunctionRealPtr Ogre::ScaleControllerFunction::create | ( | Real | scalefactor,
|  | bool | deltaInput = false )

inline static

Constructor, requires a scale factor.

Parameters

  scalefactor | The multiplier applied to the input to produce the output.
  deltaInput | If true, signifies that the input will be a delta value such that the function should add it to an internal counter before calculating the output.

## calculate()

float Ogre::ScaleControllerFunction::calculate | ( | float | source | ) |

override virtual

Implements Ogre::ControllerFunction< float >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h